TRANSLATION RefBib;
		    { Sortie HTML d'une ref. Biblio pour Thot     }
	            { I. Vatton 		 Decembre 1995    }
                    { d'apres verion Ch. Rolland de Juin 94       }


CONST
   BaliseF   = '">';            { Fermeture de balise        }
   AncreRef  = '<a href="';     { Depart d'un lien           }
   AncreFin  = '</a>';          { Fermeture d'ancre de lien  }

RULES

   RefBib :
	BEGIN
	Get Included Ident;
	Create AncreFin;
	Get Included Note;
	Create '\12<dd>';
	Create '</dd>\12' After;
	END;

  Ident :
	BEGIN
	Create '[';
	Create ']' After;
	END;

  Note :
	If not empty
	  BEGIN
	  create AncreRef;
	  create BaliseF after;
	  create '-->' after;
	  create AncreFin after;
	  END;

  Article :
	BEGIN
	END;

  Auteurs :
	Create '\12';

  Auteur :
	BEGIN
	IF Not First Create ', ' Before;
	IF Last Create ',\12' After;
	END;

  Titre_Article :
	BEGIN
	Create '``' Before;
	Create ''''',\12' After;
	END;

  Titre_Journal :
	BEGIN
	Create '<em>' Before;
	IF not Last Create ',</em> ' After;
	IF Last Create '.</em>' After;
	END;

  Volume :
	BEGIN
	Create 'vol. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Num\351ro :
	BEGIN
	Create 'num. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Pages :
	BEGIN
	Create 'pp. ' Before;
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Mois :
	BEGIN
	IF not Last Create ' ' After;
	IF Last Create '.' After;
	END;

  Ann\351e :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Livre :
	BEGIN
	END;

  Titre_Livre :
	BEGIN
	Create '<em>' Before;
	IF not Last Create ',</em> ' After;
	IF Last Create '.</em>' After;
	END;

  Publi\351_par :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Adresse :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Conf\351rence :
	BEGIN
	END;

  Edit\351_par :
	BEGIN
	IF not Last Create ', ed., ' After;
	IF Last Create ', ed.' After;
	END;


  Manuel :
	BEGIN
	END;

  Titre :
	BEGIN
	Create '<em> ' Before;
	IF not Last Create ',</em> ' After;
	IF Last Create '.</em>' After;
	END;

  Organisation :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Rapport :
	BEGIN
	END;

  Institution :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;


  Th\350se :
	BEGIN
	END;

  Type_th\350se :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

  Universit\351 :
	BEGIN
	IF not Last Create ', ' After;
	IF Last Create '.' After;
	END;

PRESENTATION

   Style = Bold:
	BEGIN
	Create '<b> ';
	Create '</b>' After;	
	END;

   Style = Italics:
	BEGIN
	Create '<i> ';
	Create '</i>' After;	
	END;

   Font = Helvetica:
	BEGIN
	Create '<strong> ';
	Create '</strong>' After;	
	END;

   Font = Courier:
	BEGIN
	Create '<tt>';
	Create '</tt>' After;	
	END;

END
